Debian Bug report logs - #565767
libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'

version graph

Package: libvirt-bin; Maintainer for libvirt-bin is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for libvirt-bin is src:libvirt.

Reported by: Tino Keitel <tino.keitel+debbugs@tikei.de>

Date: Mon, 18 Jan 2010 18:03:01 UTC

Severity: normal

Found in version libvirt/0.7.5-4

Fixed in version libvirt/0.7.6-2

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=559154

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Mon, 18 Jan 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel+debbugs@tikei.de>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 18 Jan 2010 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel+debbugs@tikei.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Mon, 18 Jan 2010 19:00:46 +0100
Package: libvirt-bin
Version: 0.7.5-4
Severity: normal

My VMs with tap device network emulation don't work after upgrading from
0.7.2 in squeeze to the sid version. I get a requester with this message:

Error starting domain: internal error unable to start guest: warning: could
not configure /dev/net/tun: no virtual network emulation
qemu: Could not initialize device 'tap'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 588, in
run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 150, in startup
    self._backend.create()
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 293, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error unable to start guest: warning: could not
configure /dev/net/tun: no virtual network emulation
qemu: Could not initialize device 'tap'

My network configuration in the VM looks like this:

    <interface type='ethernet'>
      <mac address='54:52:00:3a:13:4b'/>
      <target dev='m0d0'/>
      <model type='e1000'/>
    </interface>


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libvirt-bin depends on:
ii  adduser           3.111                  add and remove users and groups
ii  hal               0.5.13-4               Hardware Abstraction Layer
ii  libavahi-client3  0.6.25-1               Avahi client library
ii  libavahi-common3  0.6.25-1               Avahi common library
ii  libc6             2.10.1-7               GNU C Library: Shared libraries
ii  libcap-ng0        0.6.2-3                Development and header files for l
ii  libdevmapper1.02. 2:1.02.39-1            The Linux Kernel Device Mapper use
ii  libgcrypt11       1.4.4-5                LGPL Crypto library - runtime libr
ii  libgnutls26       2.8.4-2                the GNU TLS library - runtime libr
ii  libparted1.8-12   1.8.8.git.2009.07.19-5 The GNU Parted disk partitioning s
ii  libpciaccess0     0.10.9-1               Generic PCI access library for X
ii  libreadline6      6.0-5                  GNU readline and history libraries
ii  libsasl2-2        2.1.23.dfsg1-2         Cyrus SASL - authentication abstra
ii  libudev0          146-5                  libudev shared library
ii  libuuid1          2.16.1-4               Universally Unique ID library
ii  libvirt0          0.7.5-4                library for interfacing with diffe
ii  libxenstore3.0    3.4.0-2                Xenstore communications library fo
ii  libxml2           2.7.6.dfsg-1           GNOME XML library
ii  logrotate         3.7.8-4                Log rotation utility

Versions of packages libvirt-bin recommends:
ii  bridge-utils                  1.4-5      Utilities for configuring the Linu
ii  dnsmasq-base                  2.51-1     A small caching DNS proxy and DHCP
ii  iptables                      1.4.4-2    administration tools for packet fi
ii  netcat-openbsd                1.89-3     TCP/IP swiss army knife
ii  qemu                          0.11.1-2   fast processor emulator

Versions of packages libvirt-bin suggests:
ii  policykit-1                   0.95-1     framework for managing administrat

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Mon, 18 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 18 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 565767@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tino Keitel <tino.keitel+debbugs@tikei.de>, 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Mon, 18 Jan 2010 20:31:30 +0100
On Mon, Jan 18, 2010 at 07:00:46PM +0100, Tino Keitel wrote:
> Package: libvirt-bin
> Version: 0.7.5-4
> Severity: normal
> 
> My VMs with tap device network emulation don't work after upgrading from
> 0.7.2 in squeeze to the sid version. I get a requester with this message:
> 
> Error starting domain: internal error unable to start guest: warning: could
> not configure /dev/net/tun: no virtual network emulation
> qemu: Could not initialize device 'tap'
> 
> Traceback (most recent call last):
>   File "/usr/share/virt-manager/virtManager/engine.py", line 588, in
> run_domain
>     vm.startup()
>   File "/usr/share/virt-manager/virtManager/domain.py", line 150, in startup
>     self._backend.create()
>   File "/usr/lib/python2.5/site-packages/libvirt.py", line 293, in create
>     if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
> libvirtError: internal error unable to start guest: warning: could not
> configure /dev/net/tun: no virtual network emulation

> qemu: Could not initialize device 'tap'
Is /dev/net/tun there? What does libvirtd's output say? Please run
libvirtd in debug mode.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Mon, 18 Jan 2010 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 18 Jan 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 565767@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Guido Günther <agx@sigxcpu.org>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Mon, 18 Jan 2010 20:38:15 +0100
On Mon, Jan 18, 2010 at 20:31:30 +0100, Guido Günther wrote:
> Is /dev/net/tun there? What does libvirtd's output say? Please run
> libvirtd in debug mode.
> Cheers,

Yes, it was there. Meanwhile, I downgraded to 0.7.2 because I needed
something usable.

Regards,
Tino




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Thu, 28 Jan 2010 17:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 28 Jan 2010 17:39:12 GMT) Full text and rfc822 format available.

Message #20 received at 565767@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Guido Günther <agx@sigxcpu.org>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Thu, 28 Jan 2010 18:36:17 +0100
On Mon, Jan 18, 2010 at 20:38:15 +0100, Tino Keitel wrote:
> On Mon, Jan 18, 2010 at 20:31:30 +0100, Guido Günther wrote:
> > Is /dev/net/tun there? What does libvirtd's output say? Please run
> > libvirtd in debug mode.
> > Cheers,
> 
> Yes, it was there. Meanwhile, I downgraded to 0.7.2 because I needed
> something usable.

Hi,

now I have this problem on a Sid installation:

LC_ALL=C PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin HOME=/home/scorpion USER=root LOGNAME=root QEMU_AUDIO_DRV=none /usr/bin/kvm -S -M pc-0.11 -enable-kvm -m 1024 -smp 4 -name mguard0 -uuid 7ac787ad-365e-43f5-9552-64b620d11a62 -monitor unix:/var/lib/libvirt/qemu/mguard0.monitor,server,nowait -boot c -drive if=ide,media=cdrom,index=2 -drive file=/var/lib/libvirt/images/kvm-mguard0,if=ide,index=0,boot=on -net nic,macaddr=52:54:00:38:53:95,vlan=0,model=e1000,name=e1000.0 -net tap,ifname=m0d0,vlan=0,name=tap.0 -net nic,macaddr=52:54:00:67:67:eb,vlan=1,model=e1000,name=e1000.1 -net tap,ifname=m0d1,vlan=1,name=tap.1 -net nic,macaddr=52:54:00:52:ed:a2,vlan=2,model=e1000,name=e1000.2 -net tap,ifname=m0d2,vlan=2,name=tap.2 -net nic,macaddr=52:54:00:4a:6e:47,vlan=3,model=e1000,name=e1000.3 -net tap,ifname=m0d3,vlan=3,name=tap.3 -serial pty -parallel none -usb -vnc 127.0.0.1:0 -k de -vga cirrus 
warning: could not configure /dev/net/tun: no virtual network emulation
qemu: Could not initialize device 'tap'

I already have set these options in qemu.conf:

$ grep root /etc/libvirt/qemu.conf
user = "root"
group = "root"

It works if kvm is started as root from the command line.

Regards,
Tino




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Thu, 28 Jan 2010 17:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 28 Jan 2010 17:57:10 GMT) Full text and rfc822 format available.

Message #25 received at 565767@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tino Keitel <tino.keitel@tikei.de>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Thu, 28 Jan 2010 18:53:48 +0100
Hi,
On Thu, Jan 28, 2010 at 06:36:17PM +0100, Tino Keitel wrote:
> On Mon, Jan 18, 2010 at 20:38:15 +0100, Tino Keitel wrote:
> > On Mon, Jan 18, 2010 at 20:31:30 +0100, Guido Günther wrote:
> > > Is /dev/net/tun there? What does libvirtd's output say? Please run
> > > libvirtd in debug mode.
> > > Cheers,
> > 
> > Yes, it was there. Meanwhile, I downgraded to 0.7.2 because I needed
> > something usable.
> 
> Hi,
> 
> now I have this problem on a Sid installation:
> 
> LC_ALL=C PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin HOME=/home/scorpion USER=root LOGNAME=root QEMU_AUDIO_DRV=none /usr/bin/kvm -S -M pc-0.11 -enable-kvm -m 1024 -smp 4 -name mguard0 -uuid 7ac787ad-365e-43f5-9552-64b620d11a62 -monitor unix:/var/lib/libvirt/qemu/mguard0.monitor,server,nowait -boot c -drive if=ide,media=cdrom,index=2 -drive file=/var/lib/libvirt/images/kvm-mguard0,if=ide,index=0,boot=on -net nic,macaddr=52:54:00:38:53:95,vlan=0,model=e1000,name=e1000.0 -net tap,ifname=m0d0,vlan=0,name=tap.0 -net nic,macaddr=52:54:00:67:67:eb,vlan=1,model=e1000,name=e1000.1 -net tap,ifname=m0d1,vlan=1,name=tap.1 -net nic,macaddr=52:54:00:52:ed:a2,vlan=2,model=e1000,name=e1000.2 -net tap,ifname=m0d2,vlan=2,name=tap.2 -net nic,macaddr=52:54:00:4a:6e:47,vlan=3,model=e1000,name=e1000.3 -net tap,ifname=m0d3,vlan=3,name=tap.3 -serial pty -parallel none -usb -vnc 127.0.0.1:0 -k de -vga cirrus 
> warning: could not configure /dev/net/tun: no virtual network emulation
> qemu: Could not initialize device 'tap'
> 
> I already have set these options in qemu.conf:
> 
> $ grep root /etc/libvirt/qemu.conf
> user = "root"
> group = "root"

This won't help since this is being created from libvirtd which runs as
root anyway (assuming you're using qemu:///system). We'd need:

* the libvirtd log, please run libvirtd in debug mode e.g. as root:

LIBVIRT_DEBUG=1 /usr/sbin/libvirtd

* The command you use to start the vm
* The domain xml
* Did you try with only a single network interface?

Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Thu, 28 Jan 2010 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 28 Jan 2010 18:18:06 GMT) Full text and rfc822 format available.

Message #30 received at 565767@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Guido Günther <agx@sigxcpu.org>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Thu, 28 Jan 2010 19:15:13 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 28, 2010 at 18:53:48 +0100, Guido Günther wrote:

[...]

> This won't help since this is being created from libvirtd which runs as
> root anyway (assuming you're using qemu:///system). We'd need:
> 
> * the libvirtd log, please run libvirtd in debug mode e.g. as root:
> 
> LIBVIRT_DEBUG=1 /usr/sbin/libvirtd

Attached, see libvirtd.out.


> 
> * The command you use to start the vm

sudo /usr/bin/kvm -m 128 -name mguard1 -uuid 996e70dd-e5df-41e8-827f-34da1ee95f24 -monitor unix:/var/lib/libvirt/qemu/mguard1.monitor,server,nowait -boot c -drive file=/var/lib/libvirt/images/kvm-mguard1,if=ide,index=0,boot=on,format=raw -net nic,macaddr=52:54:00:13:a3:04,vlan=0,model=e1000,name=e1000.0 -net tap,ifname=m1d0,vlan=0,name=tap.0 -net nic,macaddr=52:54:00:3e:f8:a6,vlan=1,model=e1000,name=e1000.1 -net tap,ifname=m1d1,vlan=1,name=tap.1 -net nic,macaddr=52:54:00:77:bb:e7,vlan=2,model=e1000,name=e1000.2 -net tap,ifname=m1d2,vlan=2,name=tap.2 -net nic,macaddr=52:54:00:58:bd:c9,vlan=3,model=e1000,name=e1000.3 -net tap,ifname=m1d3,vlan=3,name=tap.3

> * The domain xml

Attached.

> * Did you try with only a single network interface?

Yes, but I got the same error.

Regards,
Tino
[libvirtd.out (text/plain, attachment)]
[mguard1.xml (application/xml, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Sat, 30 Jan 2010 17:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to wd@denx.de:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 30 Jan 2010 17:12:16 GMT) Full text and rfc822 format available.

Message #35 received at 565767@bugs.debian.org (full text, mbox):

From: Wolfgang Denk <wd@denx.de>
To: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Sat, 30 Jan 2010 18:00:03 +0100
Cross-Link: https://bugzilla.redhat.com/show_bug.cgi?id=559154

I see the same problem with Fedora 12; the link above points to their
bugzilla entry which may have some additional information.

Hope this helps.

wd





Set Bug forwarded-to-address to 'https://bugzilla.redhat.com/show_bug.cgi?id=559154'. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 30 Jan 2010 18:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Mon, 01 Feb 2010 06:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 01 Feb 2010 06:36:06 GMT) Full text and rfc822 format available.

Message #42 received at 565767@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tino Keitel <tino.keitel@tikei.de>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Mon, 1 Feb 2010 07:34:37 +0100
Hi Tino,
On Thu, Jan 28, 2010 at 07:15:13PM +0100, Tino Keitel wrote:
> On Thu, Jan 28, 2010 at 18:53:48 +0100, Guido Günther wrote:
> 
> [...]
> 
> > This won't help since this is being created from libvirtd which runs as
> > root anyway (assuming you're using qemu:///system). We'd need:
> > 
> > * the libvirtd log, please run libvirtd in debug mode e.g. as root:
> > 
> > LIBVIRT_DEBUG=1 /usr/sbin/libvirtd
> 
> Attached, see libvirtd.out.
> 
> 
> > 
> > * The command you use to start the vm
> 
> sudo /usr/bin/kvm -m 128 -name mguard1 -uuid 996e70dd-e5df-41e8-827f-34da1ee95f24 -monitor unix:/var/lib/libvirt/qemu/mguard1.monitor,server,nowait -boot c -drive file=/var/lib/libvirt/images/kvm-mguard1,if=ide,index=0,boot=on,format=raw -net nic,macaddr=52:54:00:13:a3:04,vlan=0,model=e1000,name=e1000.0 -net tap,ifname=m1d0,vlan=0,name=tap.0 -net nic,macaddr=52:54:00:3e:f8:a6,vlan=1,model=e1000,name=e1000.1 -net tap,ifname=m1d1,vlan=1,name=tap.1 -net nic,macaddr=52:54:00:77:bb:e7,vlan=2,model=e1000,name=e1000.2 -net tap,ifname=m1d2,vlan=2,name=tap.2 -net nic,macaddr=52:54:00:58:bd:c9,vlan=3,model=e1000,name=e1000.3 -net tap,ifname=m1d3,vlan=3,name=tap.3

I do see the problem now. You're not letting libvirtd setup your tap
devices but do this yourself using interface type ethernet instead of
network (which is totally valid of course). Could you try to rebuild
libvirt without --without-libcapng and see if this helps? You can
additionally drop the --with-qemu-user and --with-qemu-group options. 

I'll try to reproduce this with interface type=ethernet but this will
take some time.
Cheers,
 -- GUido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Wed, 03 Feb 2010 17:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 03 Feb 2010 17:09:08 GMT) Full text and rfc822 format available.

Message #47 received at 565767@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Guido Günther <agx@sigxcpu.org>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Wed, 3 Feb 2010 18:06:24 +0100
On Mon, Feb 01, 2010 at 07:34:37 +0100, Guido Günther wrote:

[...]

> I do see the problem now. You're not letting libvirtd setup your tap
> devices but do this yourself using interface type ethernet instead of
> network (which is totally valid of course). Could you try to rebuild
> libvirt without --without-libcapng and see if this helps? You can
> additionally drop the --with-qemu-user and --with-qemu-group options. 

I think you mean "with --without-libcapng". I rebuilt libvirt with this
configure option, and with user = "root" and group = "root" in
qemu.conf I can now start the VM and use it.

Regards,
Tino




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Wed, 03 Feb 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 03 Feb 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #52 received at 565767@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tino Keitel <tino.keitel@tikei.de>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Wed, 3 Feb 2010 19:00:33 +0100
On Wed, Feb 03, 2010 at 06:06:24PM +0100, Tino Keitel wrote:
> On Mon, Feb 01, 2010 at 07:34:37 +0100, Guido Günther wrote:
> 
> [...]
> 
> > I do see the problem now. You're not letting libvirtd setup your tap
> > devices but do this yourself using interface type ethernet instead of
> > network (which is totally valid of course). Could you try to rebuild
> > libvirt without --without-libcapng and see if this helps? You can
> > additionally drop the --with-qemu-user and --with-qemu-group options. 
> 
> I think you mean "with --without-libcapng". I rebuilt libvirt with this
Exactly.

> configure option, and with user = "root" and group = "root" in
> qemu.conf I can now start the VM and use it.
Thanks a lot for testing! That's a brute force solution we have now. I'd
be nicer if we could just save CAP_NET_ADMIN acress the exec when
needed.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#565767; Package libvirt-bin. (Thu, 11 Feb 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 11 Feb 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #57 received at 565767@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Tino Keitel <tino.keitel@tikei.de>
Cc: 565767@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#565767: libvirt-bin: VM doesn't work after upgrade: qemu: Could not initialize device 'tap'
Date: Thu, 11 Feb 2010 19:14:41 +0100
tags 565767 +pending
Thanks,

Hi Tino,
I've pushed a path into git that disables libcap-ng for the QEMU
process. Will be part of the next upload. 
Cheers,
 -- Guido

P.S.: you'll still need to have qemu run as root via
/etc/libvirt/qemu.conf




Added tag(s) pending. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Thu, 11 Feb 2010 18:18:05 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Sun, 14 Feb 2010 18:36:10 GMT) Full text and rfc822 format available.

Notification sent to Tino Keitel <tino.keitel+debbugs@tikei.de>:
Bug acknowledged by developer. (Sun, 14 Feb 2010 18:36:10 GMT) Full text and rfc822 format available.

Message #64 received at 565767-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 565767-close@bugs.debian.org
Subject: Bug#565767: fixed in libvirt 0.7.6-2
Date: Sun, 14 Feb 2010 18:35:02 +0000
Source: libvirt
Source-Version: 0.7.6-2

We believe that the bug you reported is fixed in the latest version of
libvirt, which is due to be installed in the Debian FTP archive:

libvirt-bin_0.7.6-2_i386.deb
  to main/libv/libvirt/libvirt-bin_0.7.6-2_i386.deb
libvirt-dev_0.7.6-2_i386.deb
  to main/libv/libvirt/libvirt-dev_0.7.6-2_i386.deb
libvirt-doc_0.7.6-2_all.deb
  to main/libv/libvirt/libvirt-doc_0.7.6-2_all.deb
libvirt0-dbg_0.7.6-2_i386.deb
  to main/libv/libvirt/libvirt0-dbg_0.7.6-2_i386.deb
libvirt0_0.7.6-2_i386.deb
  to main/libv/libvirt/libvirt0_0.7.6-2_i386.deb
libvirt_0.7.6-2.diff.gz
  to main/libv/libvirt/libvirt_0.7.6-2.diff.gz
libvirt_0.7.6-2.dsc
  to main/libv/libvirt/libvirt_0.7.6-2.dsc
python-libvirt_0.7.6-2_i386.deb
  to main/libv/libvirt/python-libvirt_0.7.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 565767@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated libvirt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Feb 2010 18:22:30 +0100
Source: libvirt
Binary: libvirt-bin libvirt0 libvirt0-dbg libvirt-doc libvirt-dev python-libvirt
Architecture: source all i386
Version: 0.7.6-2
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 libvirt-bin - the programs for the libvirt library
 libvirt-dev - development files for the libvirt library
 libvirt-doc - documentation for the libvirt library
 libvirt0   - library for interfacing with different virtualization systems
 libvirt0-dbg - library for interfacing with different virtualization systems
 python-libvirt - libvirt Python bindings
Closes: 565767
Changes: 
 libvirt (0.7.6-2) unstable; urgency=low
 .
   * [72790fc] Drop hal dependency We're using udev for device enumeration.
   * [ce225c4][11cc6e9] New patch
     0006-Don-t-drop-caps-when-exec-ing-qemu.patch: Don't drop caps when
     exec'ing qemu. Instead of disabling libcap-ng better exclude this one exec
     so we get the additional security for the rest of the calls. Makes
     interface type="network" work again. (Closes: #565767)
Checksums-Sha1: 
 8404ffce493a41ea232b630826cb4feb698bcbfc 1805 libvirt_0.7.6-2.dsc
 fc4c3a69ce21acca2f62169116a2a935eef492e7 19744 libvirt_0.7.6-2.diff.gz
 bee7ad50c8edb5af31d1cc8e762a7fb6b3266083 806054 libvirt-doc_0.7.6-2_all.deb
 b136c6685faa09dcdbd1431dfe7f71c9812dff14 701314 libvirt-bin_0.7.6-2_i386.deb
 e8b4b0d99ad1af5b04e878764bf0d396eb0cacf1 658118 libvirt0_0.7.6-2_i386.deb
 9e74404603f5999f9469cab3b364b3d87d6c4bee 2266188 libvirt0-dbg_0.7.6-2_i386.deb
 e4de5084be298bf2d9760e7a15764d4653268211 828368 libvirt-dev_0.7.6-2_i386.deb
 801ed598ff6d79e902e4b83fc79dea1506234bef 255588 python-libvirt_0.7.6-2_i386.deb
Checksums-Sha256: 
 18f0eb04b69ee226943558b97454704911f69687a47691ba235b84f57fbc8ef8 1805 libvirt_0.7.6-2.dsc
 a885e4e20b65a10c13a03b2229ab77c60ea4ff84e30d9602db13e831ea69ee64 19744 libvirt_0.7.6-2.diff.gz
 720d75cf7fc3a0930c81f2228dbde1c26b2ca7fe591a48076f6aebe3b41f9855 806054 libvirt-doc_0.7.6-2_all.deb
 f6af5066c25f59e08f502efcf8d3d5ba233c06b806f553a60a1a1772a02138d7 701314 libvirt-bin_0.7.6-2_i386.deb
 30e78e763076d2898366e72bd738ae82d1403be8da8ba53a99ad0d3447c5ba95 658118 libvirt0_0.7.6-2_i386.deb
 954c15e39abf02b3eaf852dabb869a23487a1b20d6a646cf032588f9cf8f67bf 2266188 libvirt0-dbg_0.7.6-2_i386.deb
 d3cef3c722391192c8e5de52675313dff66539c9f68873b8dbfe504838f8f48a 828368 libvirt-dev_0.7.6-2_i386.deb
 ebd532dfccb70acfd3516c1349589d39d83f846fc1b7fdeac339233a7204db96 255588 python-libvirt_0.7.6-2_i386.deb
Files: 
 7b502f406847d2761fea8e02d3de2504 1805 libs optional libvirt_0.7.6-2.dsc
 36724bf4088a9d967b30543acab28ec6 19744 libs optional libvirt_0.7.6-2.diff.gz
 b6ca2850b306535a8ea21a8d0138bad8 806054 doc optional libvirt-doc_0.7.6-2_all.deb
 20c526b155c2c31c43a93976f88b8367 701314 admin optional libvirt-bin_0.7.6-2_i386.deb
 95ef2b8a71d6c9e7a5afa900e0d2e3c7 658118 libs optional libvirt0_0.7.6-2_i386.deb
 ccab2ef6b2d2310771f33c6f6f43795c 2266188 debug extra libvirt0-dbg_0.7.6-2_i386.deb
 ef69a92592c39c1bddd80a1e78e5d6a5 828368 libdevel optional libvirt-dev_0.7.6-2_i386.deb
 401fba273f60ec0d3e6ab993d614bd41 255588 python optional python-libvirt_0.7.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLeDVhn88szT8+ZCYRAnnLAJ9K81WjUVDfUZ2KzpJkCub7lelqFQCeN0Cw
KLJh6bYZOHvyqB2QRr4RnrQ=
=YYEO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Mar 2010 07:40:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:10:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.